Skip to content
Amplify APIReference

Retrieve performance statistics for a Marketer by interest

GET/reports/marketers/{id}/interests
OB-TOKEN-V1<token>

Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.

In: header

Path Parameters

id*string

Marketer id

Query Parameters

from?string

Start day Date

to?string

End day Date

limit?number

Number of results to return in this request. Used with offset for pagination. default is 10.

offset?number

Result number to start this response at. zero based. Used with limit for pagination. default is 0.

sort?string

Can have one of the following values impressions, clicks, ctr, spend, ecpc, conversions, conversionRate, cpa, name, enabled, budgetStartDate, budgetEndDate and budgetAmount . For more details about reports filtering read this.

filter?string

Can have the following values impressions, clicks, ctr, spend, ecpc, conversions, conversionRate, cpa, name, enabled, budgetStartDate, budgetEndDate, budgetAmount, budgetType, budgetShared and pacingType. For more details about reports filtering read this.

includeArchivedCampaigns?string

Include data of archived campaigns, default false.

campaignId?string

Limit to data of the campaign with the given IDs (takes precedence over budgetId).

includeConversionDetails?string

Include metrics of conversion pixels, default false.

conversionsByClickDate?string

Report conversion metrics by click or conversion date, default false (report by conversion date).

includeViewedImpressions?string

When true, includes viewableImpressions in the response metrics.

enabledCampaignsOnly?string

Include data of active campaigns only (data of inactive campaigns will not be shown). Relevant only when requesting all campaigns

Response Body

application/json

curl -X GET "https://example.com/reports/marketers/abf4b02153ee75f3cadc4fc128ab0419ab/interests?from=2015-12-22&to=2016-01-20&limit=10&offset=3&sort=-ctr&filter=clicks%2Bgt%2B99&includeArchivedCampaigns=true&campaignId=e75f3cadc4fc128ab0419ababf4b02153e%2C+0069fc0fe9598f99b4c528f0881cd74b4b&includeConversionDetails=true&conversionsByClickDate=true&includeViewedImpressions=false&enabledCampaignsOnly=true"
{  "results": [    {      "metadata": {        "id": "003631f386d772d9f7238b4488219902bd",        "name": "News > Crime",        "targetingStatus": "partiallyTargeted"      },      "metrics": {        "impressions": 826217,        "clicks": 1412,        "totalConversions": 0,        "conversions": 0,        "viewConversions": 0,        "spend": 505.67,        "ecpc": 0.358,        "ctr": 0.17,        "conversionRate": 0,        "viewConversionRate": 0,        "cpa": 0,        "totalCpa": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0      }    },    {      "metadata": {        "id": "00692bb1cca92269ad4ae1f793a0aa77ac",        "name": "News > Politics",        "targetingStatus": "partiallyTargeted"      },      "metrics": {        "impressions": 688402,        "clicks": 1290,        "totalConversions": 0,        "conversions": 0,        "viewConversions": 0,        "spend": 477.35,        "ecpc": 0.37,        "ctr": 0.19,        "conversionRate": 0,        "viewConversionRate": 0,        "cpa": 0,        "totalCpa": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0      }    },    {      "metadata": {        "id": "0010166418d4411121a456060c1f5a0409",        "name": "Entertainment > Celebrities",        "targetingStatus": "partiallyTargeted"      },      "metrics": {        "impressions": 668404,        "clicks": 1155,        "totalConversions": 2,        "conversions": 2,        "viewConversions": 0,        "spend": 388.04,        "ecpc": 0.336,        "ctr": 0.17,        "conversionRate": 0.17,        "viewConversionRate": 0,        "cpa": 194.02,        "totalCpa": 194.02,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0      }    },    {      "metadata": {        "id": "00d8f3272967167ad8680c4f8146f3c219",        "name": "Business and Finance > Investing",        "targetingStatus": "partiallyTargeted"      },      "metrics": {        "impressions": 476384,        "clicks": 883,        "totalConversions": 2,        "conversions": 2,        "viewConversions": 0,        "spend": 347.2,        "ecpc": 0.393,        "ctr": 0.19,        "conversionRate": 0.23,        "viewConversionRate": 0,        "cpa": 173.6,        "totalCpa": 173.6,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0      }    },    {      "metadata": {        "id": "009abeb76ff3c21bb0d677fd0a847cae05",        "name": "Sports > Soccer",        "targetingStatus": "partiallyTargeted"      },      "metrics": {        "impressions": 347335,        "clicks": 610,        "totalConversions": 0,        "conversions": 0,        "viewConversions": 0,        "spend": 228.7,        "ecpc": 0.375,        "ctr": 0.18,        "conversionRate": 0,        "viewConversionRate": 0,        "cpa": 0,        "totalCpa": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0      }    },    {      "metadata": {        "id": "00a140e37c302d1a709db08f3910f38b09",        "name": "Health > Misc",        "targetingStatus": "partiallyTargeted"      },      "metrics": {        "impressions": 287858,        "clicks": 503,        "totalConversions": 0,        "conversions": 0,        "viewConversions": 0,        "spend": 183.77,        "ecpc": 0.365,        "ctr": 0.17,        "conversionRate": 0,        "viewConversionRate": 0,        "cpa": 0,        "totalCpa": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0      }    },    {      "metadata": {        "id": "005319b9ead9e283cfd29faeb00927b633",        "name": "Entertainment > Television",        "targetingStatus": "partiallyTargeted"      },      "metrics": {        "impressions": 362599,        "clicks": 470,        "totalConversions": 2,        "conversions": 2,        "viewConversions": 0,        "spend": 157.97,        "ecpc": 0.336,        "ctr": 0.13,        "conversionRate": 0.43,        "viewConversionRate": 0,        "cpa": 78.98,        "totalCpa": 78.98,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0      }    },    {      "metadata": {        "id": "00d709bbe37f5a73e491e38c61058accf5",        "name": "Autos",        "targetingStatus": "notTargeted"      },      "metrics": {        "impressions": 180320,        "clicks": 374,        "totalConversions": 0,        "conversions": 0,        "viewConversions": 0,        "spend": 141.43,        "ecpc": 0.378,        "ctr": 0.21,        "conversionRate": 0,        "viewConversionRate": 0,        "cpa": 0,        "totalCpa": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0      }    },    {      "metadata": {        "id": "0020521be9bebc58de7f7f47693fb53f6e",        "name": "News > Weather",        "targetingStatus": "partiallyTargeted"      },      "metrics": {        "impressions": 167318,        "clicks": 253,        "totalConversions": 0,        "conversions": 0,        "viewConversions": 0,        "spend": 91.14,        "ecpc": 0.36,        "ctr": 0.15,        "conversionRate": 0,        "viewConversionRate": 0,        "cpa": 0,        "totalCpa": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0      }    },    {      "metadata": {        "id": "00a429a651c8bf46e569183b284255bd4f",        "name": "Recreation > Dining",        "targetingStatus": "notTargeted"      },      "metrics": {        "impressions": 139877,        "clicks": 266,        "totalConversions": 0,        "conversions": 0,        "viewConversions": 0,        "spend": 91.03,        "ecpc": 0.342,        "ctr": 0.19,        "conversionRate": 0,        "viewConversionRate": 0,        "cpa": 0,        "totalCpa": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0      }    }  ],  "totalResults": 105}